pub mod api;
pub mod db;
pub mod handlebars_helper;
pub mod views;

pub struct CssPath {
    pub path: String,
}

impl Default for CssPath {
    fn default() -> Self {
        let css_path = glob::glob("terminwahl_front/dist/my_bulma_colors*.css")
            .expect("Failed to find css file")
            .next()
            .expect("Failed to find file")
            .expect("Failed to find file");
        let css_file = css_path.file_name().unwrap().to_str().unwrap().to_owned();
        Self { path: css_file }
    }
}
